<?
require_once('include/global.php');
require_once('include/member_group_lib.php');
auth_limit("admin");


// check
	if (!$_POST['mg_no'] || !$_POST['mg_name'])
		msg('올바른 URL로 접근하여 주십시오');

	// 중복여부 체크
	$mg_cnt = db_get_one("SELECT COUNT(*)  FROM " . $TB['MEMBER_GROUP'] . " WHERE d_no='" . $AUTH['auth_d_no'] . "' AND mg_parent='" . $_POST['mg_parent'] . "' AND mg_name='" . $_POST['mg_name'] . "' AND mg_no != '" . $_POST['mg_no'] . "'");
	if ($mg_cnt > 0)
		msg("이미 존재하는 조직명입니다.\\n\\n다른 조직명을 사용하여 주십시오.");


// data
	to_db_str(&$_POST['mg_no'], 20);
	to_db_str(&$_POST['mg_name'], 50);

	$cg = new NmailMemberGroup;
	// [2011-02-10] Oracle 호환
	//$ext_set = ", mg_sort='".$_POST['mg_sort']."' ";
	//$msg = $cg->modifyRow($_POST['mg_no'], $_POST['mg_name'], $_POST['mg_parent'], $step=NULL, $isuse=NULL, $ext_set, "AND d_no='".$AUTH['auth_d_no']."'");
	$msg = $cg->modifyRow($_POST['mg_no'], $_POST['mg_name'], $_POST['mg_parent'], $_POST['mg_sort'], NULL, NULL, "AND d_no='".$AUTH['auth_d_no']."'");
	if ($msg)
		msg($msg);


// end
	#msg("수정되었습니다.", 0);
	movepage('admin_mbr_group.php');


require_once('include/global_end.php');
?>